[arch-commits] Commit in mythtv/repos (3 files)

Allan McRae allan at archlinux.org
Sat May 9 05:38:15 EDT 2009


    Date: Saturday, May 9, 2009 @ 05:38:15
  Author: allan
Revision: 38568

fix SVN conflict

Modified:
  mythtv/repos/extra-i686/	(properties)
  mythtv/repos/extra-i686/PKGBUILD
  mythtv/repos/extra-i686/mythbackend

-------------+
 PKGBUILD    |   46 +++++++++++++++++++++++++---------------------
 mythbackend |    1 -
 2 files changed, 25 insertions(+), 22 deletions(-)


Property changes on: mythtv/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /mythtv/trunk:1
   + /mythtv/trunk:1-38567

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-09 09:36:18 UTC (rev 38567)
+++ extra-i686/PKGBUILD	2009-05-09 09:38:15 UTC (rev 38568)
@@ -5,25 +5,32 @@
 
 pkgname=mythtv
 pkgver=0.21
-pkgrel=1
+pkgrel=2
 pkgdesc="A Homebrew PVR project"
 arch=('i686' 'x86_64')
+url="http://www.mythtv.org/"
+license=('GPL2')
+groups=('pvr')
 depends=('bash' 'mysql-clients>=5.0' 'qt3' 'lame' 'lirc-utils' 'ffmpeg' \
 	'libxvmc')
+makedepends=(libgl)
 backup=(etc/mythtv/mythbackend.conf etc/mythtv/mysql.txt)
-source=("ftp://ftp.osuosl.org/pub/mythtv/${pkgname}-${pkgver}.tar.bz2"\
-	mythbackend\
+install=mythtv.install
+source=(ftp://ftp.osuosl.org/pub/mythtv/${pkgname}-${pkgver}.tar.bz2
+        mythtv-dvb.patch
+        mythtv-ffmpeg.patch
+	mythbackend
 	QUICKSTART.archlinux)
-md5sums=('49fc135e1cde90cd935c1229467fa37e' '7ef6de58240e7aad389a0b13d91b1cf6'\
+md5sums=('49fc135e1cde90cd935c1229467fa37e'
+         '64e065ae63711935575665a1f60d51e1'
+         '75614f43b579fcae870a7c128038f147'
          'a0ecb7f476cb71c0c1ac90d349fc7695')
-license=('GPL2')
-makedepends=(libgl)
-groups=('pvr')
-url="http://www.mythtv.org/"
-install=mythtv.install
 
 build() {
-   cd $startdir/src/${pkgname}-${pkgver} || return 1
+   cd $srcdir/${pkgname}-${pkgver} || return 1
+   patch -Np1 -i $srcdir/mythtv-dvb.patch
+   patch -Np1 -i $srcdir/mythtv-ffmpeg.patch
+
    . /etc/profile.d/qt3.sh
 
    # use QT3 qmake
@@ -45,21 +52,18 @@
    make || return 1
 
    # basic install
-   make INSTALL_ROOT=$startdir/pkg install || return 1
+   make INSTALL_ROOT=$pkgdir install || return 1
    
    # install db schema
-   install -m0644 database/mc.sql $startdir/pkg/usr/share/mythtv/ \
-   	|| return 1
-   install -D -m0755 ../mythbackend $startdir/pkg/etc/rc.d/mythbackend \
-   	|| return 1
-   cp -r docs $startdir/pkg/usr/share/mythtv/ || return 1
-   cp ../QUICKSTART.archlinux $startdir/pkg/usr/share/mythtv/ \
-   	|| return 1
+   install -m0644 database/mc.sql $pkgdir/usr/share/mythtv/ || return 1
+   install -D -m0755 ../mythbackend $pkgdir/etc/rc.d/mythbackend || return 1
+   cp -r docs $pkgdir/usr/share/mythtv/ || return 1
+   cp ../QUICKSTART.archlinux $pkgdir/usr/share/mythtv/ || return 1
 
    # install contrib
-   mkdir -p $startdir/pkg/usr/share/mythtv/contrib || return 1
-   install -m0755 contrib/* $startdir/pkg/usr/share/mythtv/contrib
+   mkdir -p $pkgdir/usr/share/mythtv/contrib || return 1
+   install -m0755 contrib/* $pkgdir/usr/share/mythtv/contrib
 
    # set suid on mythfrontend
-   chmod a+s $startdir/pkg/usr/bin/mythfrontend
+   chmod a+s $pkgdir/usr/bin/mythfrontend
 }

Modified: extra-i686/mythbackend
===================================================================
--- extra-i686/mythbackend	2009-05-09 09:36:18 UTC (rev 38567)
+++ extra-i686/mythbackend	2009-05-09 09:38:15 UTC (rev 38568)
@@ -7,7 +7,6 @@
 case "$1" in
   start)
     stat_busy "Starting MythTV Backend"
-    [ ! -e /var/run/mysqld.pid ] && echo -n "mysqld not started" && stat_fail && exit
     [ -z "$PID" ] && /usr/bin/mythbackend -d -l /var/log/mythbackend.log -v important 
     if [ $? -gt 0 ]; then
       stat_fail



More information about the arch-commits mailing list